  .card-body p {
    font-weight: 300;
  }

  .wow {
    visibility: hidden;
  }

  /*.view:not(.zoom) {
          overflow: visible;
      }*/

  .form-dark .font-small {
    font-size: 0.8rem;
  }

  .form-dark [type="radio"]+label,
  .form-dark [type="checkbox"]+label {
    font-size: 0.8rem;
  }

  .form-dark [type="checkbox"]+label:before {
    top: 2px;
    width: 15px;
    height: 15px;
  }

  .form-dark .md-form label {
    color: #fff;
  }

  .form-dark input[type=text]:focus:not([readonly]) {
    border-bottom: 1px solid #00C851;
    -webkit-box-shadow: 0 1px 0 0 #00C851;
    box-shadow: 0 1px 0 0 #00C851;
  }

  .form-dark input[type=text]:focus:not([readonly])+label {
    color: #fff;
  }

  .form-dark input[type=password]:focus:not([readonly]) {
    border-bottom: 1px solid #00C851;
    -webkit-box-shadow: 0 1px 0 0 #00C851;
    box-shadow: 0 1px 0 0 #00C851;
  }

  .form-dark input[type=password]:focus:not([readonly])+label {
    color: #fff;
  }

  .form-dark input[type="checkbox"]+label:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 17px;
    height: 17px;
    z-index: 0;
    border: 1.5px solid #fff;
    border-radius: 1px;
    margin-top: 2px;
    -webkit-transition: 0.2s;
    transition: 0.2s;
  }

  .form-dark input[type="checkbox"]:checked+label:before {
    top: -4px;
    left: -3px;
    width: 12px;
    height: 22px;
    border-style: solid;
    border-width: 2px;
    border-color: transparent #00c851 #00c851 transparent;
    -webkit-transform: rotate(40deg);
    -ms-transform: rotate(40deg);
    transform: rotate(40deg);
    -webkit-backface-visibility: hidden;
    -webkit-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
  }

  .form-elegant .font-small {
    font-size: 0.8rem;
  }

  .form-elegant .z-depth-1a {
    -webkit-box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
    box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
  }

  .form-elegant .z-depth-1-half,
  .form-elegant .btn:hover {
    -webkit-box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
    box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
  }

  .form-simple .font-small {
    font-size: 0.8rem;
  }

  .form-simple .header {
    border-top-left-radius: .3rem;
    border-top-right-radius: .3rem;
  }

  .form-simple input[type=text]:focus:not([readonly]) {
    border-bottom: 1px solid #ff3547;
    -webkit-box-shadow: 0 1px 0 0 #ff3547;
    box-shadow: 0 1px 0 0 #ff3547;
  }

  .form-simple input[type=text]:focus:not([readonly])+label {
    color: #4f4f4f;
  }

  .form-simple input[type=password]:focus:not([readonly]) {
    border-bottom: 1px solid #ff3547;
    -webkit-box-shadow: 0 1px 0 0 #ff3547;
    box-shadow: 0 1px 0 0 #ff3547;
  }

  .form-simple input[type=password]:focus:not([readonly])+label {
    color: #4f4f4f;
  }

  .form-light .font-small {
    font-size: 0.8rem;
  }

  .form-light [type="radio"]+label,
  .form-light [type="checkbox"]+label {
    font-size: 0.8rem;
  }

  .form-light [type="checkbox"]+label:before {
    top: 2px;
    width: 15px;
    height: 15px;
  }

  .form-light input[type="checkbox"]+label:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 17px;
    height: 17px;
    z-index: 0;
    border-radius: 1px;
    margin-top: 2px;
    -webkit-transition: 0.2s;
    transition: 0.2s;
  }

  .form-light input[type="checkbox"]:checked+label:before {
    top: -4px;
    left: -3px;
    width: 12px;
    height: 22px;
    border-style: solid;
    border-width: 2px;
    border-color: transparent #EB3573 #EB3573 transparent;
    -webkit-transform: rotate(40deg);
    -ms-transform: rotate(40deg);
    transform: rotate(40deg);
    -webkit-backface-visibility: hidden;
    -webkit-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
  }

  .form-light .footer {
    border-bottom-left-radius: .3rem;
    border-bottom-right-radius: .3rem;
  }

  .rounded-corners textarea {
    border-radius: 0.25rem;
  }

  .basic-textarea textarea {
    height: auto;
  }

  .shadow-textarea textarea.form-control::placeholder {
    font-weight: 300;
  }

  .shadow-textarea textarea.form-control {
    padding-left: 0.8rem;
  }

  .input-group.md-form.form-sm.form-4 input[type=text]:focus:not([readonly]).lime-border {
    border: 1px solid #FFFFFF;
    box-shadow: none;
  }

  .input-group.md-form.form-sm.form-3 input {
    border: 1px solid #e0e0e0;
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
    padding-left: 1rem;
  }

  .input-group.md-form.form-sm.form-3 input[type=text]:focus:not([readonly]).black-border {
    border: 1px solid #4285F4;
    box-shadow: none;
  }

    #dynamicContentWrapper-docsPanel {
      display: none !important;
    }

/*!
*  my card
*/
.card {
     margin-top: 10px;   
     margin-right: 10px; 
}
.card .card-category {
     text-align: right;   
     color: #999999;
     margin-top: 10px;
}

.card .card-header .card-category {
  margin: 0;
}

.card .card-title {
     text-align: right;   
     
}

.card [class*="card-header-"] .card-icon {
  border-radius: 3px;
  background-color: #999999;
  padding: 5px;
  margin-top: -30px;
  margin-right: 15px;
  float: left;
}

.card-stats .card-header.card-header-icon .card-icon i {
  font-size: 36px;
  text-align: center;
 
}

.card .card-header-primary .card-icon,
.card .card-header-primary .card-text,
.card .card-header-primary:not(.card-header-icon):not(.card-header-text),
.card.bg-primary,
.card.card-rotate.bg-primary .front,
.card.card-rotate.bg-primary .back {
  background: linear-gradient(60deg, #ab47bc, #8e24aa);
}

.card .card-header-info .card-icon,
.card .card-header-info .card-text,
.card .card-header-info:not(.card-header-icon):not(.card-header-text),
.card.bg-info,
.card.card-rotate.bg-info .front,
.card.card-rotate.bg-info .back {
  background: linear-gradient(60deg, #26c6da, #00acc1);
}

.card .card-header-success .card-icon,
.card .card-header-success .card-text,
.card .card-header-success:not(.card-header-icon):not(.card-header-text),
.card.bg-success,
.card.card-rotate.bg-success .front,
.card.card-rotate.bg-success .back {
  background: linear-gradient(60deg, #66bb6a, #43a047);
}

.card .card-header-warning .card-icon,
.card .card-header-warning .card-text,
.card .card-header-warning:not(.card-header-icon):not(.card-header-text),
.card.bg-warning,
.card.card-rotate.bg-warning .front,
.card.card-rotate.bg-warning .back {
  background: linear-gradient(60deg, #ffa726, #fb8c00);
}

.card .card-header-danger .card-icon,
.card .card-header-danger .card-text,
.card .card-header-danger:not(.card-header-icon):not(.card-header-text),
.card.bg-danger,
.card.card-rotate.bg-danger .front,
.card.card-rotate.bg-danger .back {
  background: linear-gradient(60deg, #ef5350, #e53935);
}

.card .card-header-rose .card-icon,
.card .card-header-rose .card-text,
.card .card-header-rose:not(.card-header-icon):not(.card-header-text),
.card.bg-rose,
.card.card-rotate.bg-rose .front,
.card.card-rotate.bg-rose .back {
  background: linear-gradient(60deg, #ec407a, #d81b60);
}

.card .card-header-primary .card-icon,
.card .card-header-primary:not(.card-header-icon):not(.card-header-text),
.card .card-header-primary .card-text {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(156, 39, 176, 0.4);
}

.card .card-header-danger .card-icon,
.card .card-header-danger:not(.card-header-icon):not(.card-header-text),
.card .card-header-danger .card-text {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(244, 67, 54, 0.4);
}

.card .card-header-rose .card-icon,
.card .card-header-rose:not(.card-header-icon):not(.card-header-text),
.card .card-header-rose .card-text {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(233, 30, 99, 0.4);
}

.card .card-header-warning .card-icon,
.card .card-header-warning:not(.card-header-icon):not(.card-header-text),
.card .card-header-warning .card-text {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(255, 152, 0, 0.4);
}

.card .card-header-info .card-icon,
.card .card-header-info:not(.card-header-icon):not(.card-header-text),
.card .card-header-info .card-text {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(0, 188, 212, 0.4);
}

.card .card-header-success .card-icon,
.card .card-header-success:not(.card-header-icon):not(.card-header-text),
.card .card-header-success .card-text {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(76, 175, 80, 0.4);
}

.card-header .card-icon {
  color: #fff;
  width: 56px;
  height: 56px;
}

.card .card-footer .stats {
  color: #999999;
  font-size: 12px;
  line-height: 22px;
}

.tab-content.card {
    margin-top: 0px;
}

.navbar .navbar-brand img {
    height: 50px;
}

.wrapper .navbar-fixed-top {
    padding-left: 0;
    padding-right: 0;
}

.map-filter .card {
    margin-top: 0;   
}

.map-filter .card .card-body {
    padding-top: .5rem;
    padding-bottom: .5rem;
 
}

.middle {
            display: inline-block;
    margin-left: 50%;
    transform: translateX(-50%);
        }

@media only screen and (max-width: 768px) {
.navbar .dropdown-menu-right { 
    right: auto; 
    left: 0; 
}
}

.testimonial-card .card-up {
         height: 90px;   
}

.testimonial-card .avatar {
    box-shadow: 0 16px 38px -12px rgba(0, 0, 0, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.2);
}

img.allavatar { 
    font-family: 'Material Design Icons';
    /* customize the following as desired */
    font-size: 9em;
    display: inline-block;
    width: 200px;
    height: 234px;
    border: 1px solid lightgray;
}

.alert-error {
    color: #721c24;
    background-color: red;
    border-color: red

}
p.flash-message {
    color: #721c24;
    
}

.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.testwsrc-card {
    margin-top: 10px;

}

.testwsrc-card hr {
    margin-top: .25rem;
    margin-bottom: .25rem;

}

.testwsrc-card .card-body {
    padding-top: .25rem;
    padding-bottom: .25rem;
}


.testwsrc-card .card-wsrc {
    height: 30px;
    overflow: hidden;
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;
}

.new-users {
    background-color: lightblue;

}

.failed-input {
    font-size: smaller; 
    color: red;
}



.bg-tbl-1 {
 background-color: lightblue !important;
}

.text-sm-div {
 font-size: 12px;
}

.btn-group-xs > .btn, .btn-xs {
    padding  : .25rem .4rem;
    font-size  : .875rem;
    line-height  : .5;
    border-radius : .2rem;
    margin: 0;
}

.bg-light-5 {
    background-color: #f5f5f5 !important;
}

.pagination .page-item .page-link {
    font-size: .9rem;
    color: #212529;
    background-color: transparent;
    border: 0;
    outline: 0;
    -webkit-transition: all .3s linear;
    transition: all .3s linear;
}


.container, .container-sm, .container-md, .container-lg, .container-xl {
    max-width: 98%;
}

.form-control>label.main-label.active {
    top: 0;
    left: 0;
    font-size: .8rem;
    -webkit-transform: translateY(-14px);
    transform: translateY(-14px);
}

@font-face {
    font-family: 'Glyphicons Halflings';
    src: url('/wusun/themes/wsrc/assets/fonts/glyphicons-halflings-regular.woff') format('woff'),
         url('/wusun/themes/wsrc/assets/fonts/glyphicons-halflings-regular.ttf') format('ttf');
}

.vcenter{
  display:flex;
  flex-direction:column;
  justify-content:center;
  }
  
.bg-row-table {
    background-color: rgba(0, 0, 0, 0.05);
}

hr.myhrline{
     margin-top: 4px;
     margin-bottom: 4px;
  }
  
  


@media (min-width: 1200px){
.modal-lg, .modal-xl {
    max-width: 1000px;
}
}

.tooltip-inner {
  background-color: #FFF176 !important;
  color: #000 ;
}
.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^="top"] .arrow::before {
  border-top-color: #FFF176 !important;
}

.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^="right"] .arrow::before {
  border-right-color: #FFF176 !important;
}


.bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^="bottom"] .arrow::before {
  border-bottom-color: #FFF176 !important;
}


.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^="left"] .arrow::before {
  border-left-color: #FFF176 !important;
}

table.table th, table.table td {
    padding-top: 0.5rem;
    padding-bottom: .4rem;
}


.inputWrapper {
    height: 32px;
    width: 64px;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    text-align: center;
    vertical-align: middle;
    /*Using a background color, but you can use a background image to represent a button*/
    background-color: #DDF;
}
.fileInput {
    cursor: pointer;
    height: 100%;
    position:absolute;
    top: 0;
    right: 0;
    z-index: 99;
    /*This makes the button huge. If you want a bigger button, increase the font size*/
    font-size:16px;
    /*Opacity settings for all browsers*/
    opacity: 0;
    -moz-opacity: 0;
    filter:progid:DXImageTransform.Microsoft.Alpha(opacity=0)
}

/*Dynamic styles*/
.inputWrapper:hover {
    background-color: #FDD;
}
.inputWrapper.clicked {
    background-color: #A66;
}

table.table a {
     color: #007bff;
}

table.table a:hover {
     color: #003e80;
}

input[type="checkbox"].leaflet-control-layers-selector {
  position: inherit;
  left: inherit;
  opacity: inherit;
}

@media print {
  
  body {font-size:13px;
        font-family:georgia, times, serif;
  }
  th {
    border: 1px solid;   
  }
 
      
}

@page {
   margin: 1cm;
   size: portrait;
}



.bg-wcrs-1 {
    background-color: #76eeac;
}

.wsrc-td {
  line-height: 100%;  
  padding-top: 2px; 
  padding-bottom: 2px; 
  font-size: 12px;
  vertical-align:middle;
}

.edit{
 width: 100%;
 height: 20px;
}
.editMode{
 border: 1px solid blue;
}

ul.stepper li.success a .circle {
    background-color: #339966 !important;
}



/* Popup box BEGIN */
.hover_bkgr_fricc{
    background:rgba(0,0,0,.4);
    display:none;
    height:100%;
    position:fixed;
    text-align:center;
    top:0;
    width:100%;
    z-index:10000;
}
.hover_bkgr_fricc .helper{
    display:inline-block;
    height:100%;
    vertical-align:middle;
}
.hover_bkgr_fricc > div {
    background-color: #fff;
    box-shadow: 10px 10px 60px #555;
    display: inline-block;
    height: auto;
    max-width: 801px;
    min-height: 100px;
    vertical-align: middle;
    width: 60%;
    position: relative;
    border-radius: 8px;
    padding: 15px 10px;
}
.popupCloseButton {
    background-color: #fff;
    border: 1px solid #999;
    border-radius: 50px;
    cursor: pointer;
    display: inline-block;
    font-family: arial;
    font-weight: bold;
    position: absolute;
    top: -20px;
    right: -20px;
    font-size: 20px;
    line-height: 30px;
    width: 30px;
    height: 30px;
    text-align: center;
}
.popupCloseButton:hover {
    background-color: #ccc;
}
.trigger_popup_fricc {
    cursor: pointer;
    display: inline-block;
    font-weight: bold;
}
/* Popup box BEGIN */


.mydivicon{
    width: 12px;
    height: 12px;
    border-radius: 10px;
    background: #ff7800;
    border: 1px solid #000;
    opacity: 0.85
}

